### Function

# Pango Gravity get_for_script

since: 1.16

#### Declaration [src]

    PangoGravity
    pango_gravity_get_for_script (
      PangoScript script,
      PangoGravity base_gravity,
      PangoGravityHint hint
    )

#### Description [src]

Returns the gravity to use in laying out a `PangoItem`.

The gravity is determined based on the script, base gravity, and hint.

If `base_gravity` is `PANGO_GRAVITY_AUTO`, it is first replaced with the preferred gravity of `script`. To get the preferred gravity of a script, pass `PANGO_GRAVITY_AUTO` and `PANGO_GRAVITY_HINT_STRONG` in.

Available since: 1.16

#### Parameters

`script`

  Type: `PangoScript`

  `PangoScript` to query.

`base_gravity`

  Type: `PangoGravity`

  Base gravity of the paragraph.

`hint`

  Type: `PangoGravityHint`

  Orientation hint.

#### Return value

Type: `PangoGravity`

Resolved gravity suitable to use for a run of text with `script`.